import { Metar } from '@lib/metar.types.ts';
import { getRequest } from '@lib/index.ts';

export async function getMetars({ icaos, force }: { icaos: string[]; force?: boolean }): Promise<Metar[]> {
  const response = await getRequest('metars', {
    icaos: icaos,
    force: force
  });
  return response?.json() || {};
}
